import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class CardCell extends StatelessWidget {
  final String lable;
  final String content;
  final double size;

  const CardCell(
      {Key? key,
        required this.lable,
        required this.content,
        required this.size})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(vertical: 9.h, horizontal: 0),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(
            width: 65.w,
            child: Text(
              lable,
              style: TextStyle(
                  fontSize: 17.sp,
                  color: const Color(0xFF606060),
                  fontWeight: FontWeight.bold,
                  letterSpacing: size),
            ),
          ),
          Text(
            lable==''?'    ':'：',
            style: TextStyle(
              fontSize: 17.sp,
              color: const Color(0xFF606060),
              fontWeight: FontWeight.bold,
            ),
          ),
          Expanded(
            flex: 1,
            child: Text(
              content,
              overflow: TextOverflow.visible,
              style: TextStyle(
                  fontSize: 17.sp,
                  color: Color(0xFF101010),
                  fontWeight: FontWeight.bold,
                  height: 1.5
              ),
            ),
          ),
        ],
      ),
    );
  }
}